Bug 95960 - UI - Displaced field value widget in User-Defined Document Properties
Summary: UI - Displaced field value widget in User-Defined Document Properties
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-11-20 19:33 UTC by Wolfgang Glas
Modified: 2017-09-05 14:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenhot of the grabled input field (66.77 KB, image/png)
2015-11-20 19:33 UTC, Wolfgang Glas
Details
Still pretty bad ... (48.25 KB, image/png)
2016-02-18 21:07 UTC, Katarina Behrens (CIB)
Details
Screenshot of custom properties dialog (67.33 KB, image/png)
2017-07-31 10:43 UTC, Alex Thurgood
Details
how it now looks for me on gtk3 (48.67 KB, image/png)
2017-08-31 09:16 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Glas 2015-11-20 19:33:46 UTC
Created attachment 120684 [details]
Screenhot of the grabled input field

I switch from libo-4.4.6 to libo-5.0.3 and we use a user-defined date document property. With the  libo-5.0.3 update the input fields for such user-defined date properties are laid out with a half-line offset, rendering the input of dates nearly impossible.

See details in the attached screenshot.
Comment 1 Alex Thurgood 2015-11-23 08:13:09 UTC
Confirming.

How to reproduce

1) Open a Writer document
2) Menu File - Properties
3) Tab User defined properties
4) Enter a user defined property, press OK
5) Re-open the properties dialog
6) The third field widget is shifted up out of the visible dialog frame.
Comment 2 Alex Thurgood 2015-11-23 08:16:32 UTC
Bug already present in 5022
Comment 3 Alex Thurgood 2015-11-23 08:18:32 UTC
Bug already present in 

Version: 5.0.0.2
Build ID: a26d58f11b99b6aeddf7f7884effea188cc6e512
Locale: fr-FR (fr.UTF-8)
Comment 4 Alex Thurgood 2015-11-23 08:24:52 UTC
Problem already present in

Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

Int his version, you can see the fields move physically upwards out of the visible canvas area as you add them.
Comment 5 Alex Thurgood 2015-11-23 08:26:28 UTC
@Caolan : any idea ?
Comment 6 Wolfgang Glas 2015-11-23 08:27:43 UTC
Hi, Alex,
Thanks very much for dealing with this bug ;-)

Wolfgang
Comment 7 Cor Nouws 2015-12-02 14:28:19 UTC
as per description: a regression
Comment 8 Commit Notification 2015-12-03 09:14:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afc565bf26464a4999b45d8bc57545fa1ff534e5

Resolves: tdf#95960 displaced field value in user-defined properties

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-12-03 09:20:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46c5197feec5e64544433f2d6e22cf986408552a&h=libreoffice-5-1

Resolves: tdf#95960 displaced field value in user-defined properties

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-12-03 12:02:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69725ffe0d17811984c8d52073262b5e76ae7080&h=libreoffice-5-0

Resolves: tdf#95960 displaced field value in user-defined properties

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Katarina Behrens (CIB) 2016-02-18 21:07:57 UTC
Created attachment 122777 [details]
Still pretty bad ...

Unfortunately the issue persist, perhaps less severely so, but it does. Notice the Yes-No bitmaps are kinda cropped and the fields in the last column are misplaced ( =  shifted slightly upwards). 

I've tried w/ all vcl plugins on Linux (gtk23, kde4, gen), it looks okay only with gen. The screenshot was taken using kde4 plugin
Comment 12 Xisco Faulí 2016-09-13 08:32:26 UTC
Adding keyword 'bibisectRequest'.
This regression can be bibisected with http://dev-downloads.libreoffice.org/bibisect/mac/Bibisect_MacOSX10.6%2b_lo-4.1_to_lo-4.2.tar.bz2
Comment 13 Alex Thurgood 2017-07-31 10:43:09 UTC
Screenshot from master 6.0 alpha is even worse - lots of objects overlaid over each other...
Comment 14 Alex Thurgood 2017-07-31 10:43:42 UTC
Created attachment 135016 [details]
Screenshot of custom properties dialog
Comment 15 Cor Nouws 2017-08-09 14:54:15 UTC
not perfect but usable in Version: 6.0.0.0.alpha0+
Build ID: 5ad8376d1698026ccab0634605fdb17ea3c59f3a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 16 Commit Notification 2017-08-30 18:14:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14afb688d3a24be302867ea614b0e30e01d168be

Resolves: tdf#95960 improve custom properties page

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Caolán McNamara 2017-08-31 09:16:10 UTC
Created attachment 135899 [details]
how it now looks for me on gtk3
Comment 18 Commit Notification 2017-09-05 14:27:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69f19b7d2e538c66bb89f2acaf6e4ad7b0305825&h=libreoffice-5-4

Resolves: tdf#95960 improve custom properties page

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.